Option Explicit

Dim WshShell, WshSysEnv, strProgramFilesDir, objWebSite, objVirtualDir, strRTAppSecPath

Set WshShell  = WScript.CreateObject("WScript.Shell")
Set WshSysEnv = WshShell.Environment("Process")

strProgramFilesDir = WshSysEnv("ProgramFiles")

If strProgramFilesDir <> "" Then
	On Error Resume Next

	Set objWebSite = GetObject("IIS://localhost/W3SVC/1/Root")

	If Err.Number <> 0 Then
		MsgBox "Unable to connect to IIS://localhost/W3SVC/1/Root. Please verify that the IIS Default Web Site exists and is started.", vbOKOnly + vbCritical, "Error!"

		WScript.Quit
	End If

	Set objVirtualDir = objWebSite.Create("IIsWebVirtualDir", "RTAppSec")

	If Err.Number <> 0 Then
		MsgBox "Unable to create the RTAppSec virtual directory in the IIS Default Web Site. Please verify that the IIS Default Web Site exists and is started.", vbOKOnly + vbCritical, "Error!"

		WScript.Quit
	End If

	On Error GoTo 0

	objVirtualDir.SetInfo

	objVirtualDir.DefaultDoc    = "index.asp"
	objVirtualDir.AccessRead    = True
	objVirtualDir.AccessScript  = True
	objVirtualDir.AuthAnonymous = False
	objVirtualDir.AuthNTLM      = True

	strRTAppSecPath = strProgramFilesDir & "\i1 Labs\RTAppSec"

	objVirtualDir.Path = strRTAppSecPath

	objVirtualDir.SetInfo

	objVirtualDir.AppCreate 2
	objVirtualDir.AppFriendlyName = "Default Application"

	objVirtualDir.SetInfo
End If

MsgBox "The RTAppSec administrative web site was installed successfully.", vbInformation + vbOKOnly, "Install RTAppSec Web Site"